import { AddTemplateArgs, Config, ControlExtraConfiguration, FsFileSystem, Template } from "@igniteui/cli-core";
export declare class AngularTemplate implements Template {
    private rootPath;
    components: string[];
    controlGroup: string;
    listInComponentTemplates: boolean;
    listInCustomTemplates: boolean;
    id: string;
    name: string;
    description: string;
    dependencies: Array<string | object>;
    framework: string;
    projectType: string;
    hasExtraConfiguration: boolean;
    packages: any[];
    delimiters: import("@igniteui/cli-core").TemplateDelimiters;
    protected widget: string;
    protected fileSystem: FsFileSystem;
    /**
     * Creates a new AngularTemplate for a root path (pass in __dirname)
     */
    constructor(rootPath: string);
    get templatePaths(): string[];
    generateConfig(name: string, options: {}): {
        [key: string]: any;
    };
    registerInProject(projectPath: string, name: string, options?: AddTemplateArgs): void;
    getExtraConfiguration(): ControlExtraConfiguration[];
    setExtraConfiguration(extraConfigKeys: {}): void;
    protected getBaseVariables(name: string): {};
    protected ensureSourceFiles(projectPath: string): void;
    /**
     * Register igniteui-angular-wrappers(ig-ts) resources under the project"s angular.json scripts and styles collections,
     * so these are picked by Angular"s internal webpack to build and serve
     */
    protected registerSourceFiles(config: Config, projectPath: string): void;
    protected folderName(pathName: string): string;
    protected fileName(pathName: string): string;
}
